Summary: lmbench benchmark tools
Name: lmbench
Version: 3.0a7
Release: 7a.EL6
License: GPL
Group: Applications/System
Source: lmbench-3.0-a7.tgz
Source1: config.guess
Patch0: lmbench-3.0-a7-bin.patch
Patch1: lmbench-3.0-a7-notimeout.patch
Patch2: lmbench-3.0-a7-bigmem.patch
Patch3: lmbench-3.0-a7-nostream.patch
BuildRoot: %_tmppath/%name-%version-buildroot

%description
lmbench is a series of micro benchmarks intended to measure basic
operating system and hardware system metrics. The benchmarks fall into
three general classes: bandwidth, latency, and "other".

%prep
%setup -n lmbench-3.0-a7 
install -m555 %{SOURCE1} scripts/gnu-os
# suppress patch's attempts to get SCCS files
export PATCH_GET=0 
%patch0 -p1 -b .osdir
%patch1 -p1 -b .notimeout
%patch2 -p1 -b .bigmem
%patch3 -p1 -b .nostream

%build
cd src
CFLAGS="-O -DNO_SERVER_TIMEOUT" ../scripts/build all
cd ..
# remove revision control info
find . -name "SCCS" -type d | xargs rm -rf

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

TARGET=$RPM_BUILD_ROOT%{_libdir}/lmbench
mkdir -p $TARGET $TARGET/results
mkdir -p $RPM_BUILD_ROOT%{_bindir}
OS="" cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -a scripts $TARGET

# clean up a bit
find $TARGET -name "Makefile*" -or -name "*.[ao]" | xargs rm
rm -f $TARGET/scripts/TODO # this gets put in docs later

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/lmbench/*
%doc doc COPYING COPYING-2 hbench-REBUTTAL README scripts/TODO

%changelog
* Fri May 10 2013 - Greg Nichols <gnichols@redhat.com>
- lmbench-3.0-a7-nostream.patch: remove stream as it conflicts with ImageMagick

* Thu Apr 12 2007 - YangKun <ykun@redhat.com>
- lmbench-3.0-a7-bigmem.patch: Greg's patch to handle large-scale
  memory issue. Related bug is bug#230220 .

* Thu Jan 18 2007 - YangKun <ykun@redhat.com>
- lmbench-3.0-a7-notimeout.patch: comment GO_AWAY in bw_tcp.c 
  and lat_udp.c . Turned off the 1hr idle timeout for bw_tcp 
  and lat_udp server.

* Wed Nov 8 2006 - Yu Shao <yshao@redhat.com>
- use %{_bindir} rather than /usr/bin

* Wed Nov 1 2006 - Yu Shao <yshao@redhat.com>
- change TARGET form /usr/lib to /usr/bin

* Fri Oct 13 2006 - Rob Landry <rlandry@redhat.com>
- upgrade to lmbench-3.tar.gz; removed 2.0.4 patches.

* Fri Jan 6 2006 - Will Woods <wwoods@redhat.com>
- lmbench-2.0.4-lat_mem_rd-64-bit.patch: fix a crash when using a memory size
  of 2048MB or larger on x86_64 and ppc64
- Add updated version of config.guess to correctly guess the canonical system
  name on newer systems (e.g. ppc64)

* Mon Sep 26 2005 - Will Woods <wwoods@redhat.com>
- lmbench2-no-timeout.patch: Allows the 1hr idle timeout for server programs
  to be turned off at compile time.

* Fri Aug 5 2005 - Will Woods <wwoods@redhat.com>
- Initial revision
